#
# spec file for package nodejs-glob
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name glob

Name:           nodejs-glob
Version:        5.0.14
Release:        19.1
Summary:        File Globbing
License:        ISC
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/node-glob
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Match files using the patterns the shell uses, like stars and stuff.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{nodejs_modulesdir}/%{base_name}

%changelog
* Wed Jul 29 2015 i@marguerite.su
- update version 5.0.14
* Sat Jul  4 2015 i@marguerite.su
- update version 5.0.13
* Wed Jun 24 2015 i@marguerite.su
- revert to version 4.5.3
- rimraf needs glob version < 5
* Sat Jun  6 2015 i@marguerite.su
- update version 5.0.10
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 5.0.5
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- update License to ISC
* Sun Sep 21 2014 i@marguerite.su
- update version 4.0.6
* Wed Sep 10 2014 jgleissner@suse.com
- Update to 4.0.5
* Tue Feb  7 2012 jmassaguerpla@suse.com
- remove /lib/node_modules/glob/.gitignore from files section
* Wed Nov 30 2011 jmassaguerpla@suse.com
- Add nodejs-devel as a build requirement
* Fri Nov 25 2011 jmassaguerpla@suse.com
- Removed 2.0.8 source
* Fri Nov 25 2011 jmassaguerpla@suse.com
- Updated to 2.1.0
* Mon Oct 24 2011 fcastelli@suse.com
- Remove useless build requirements.
* Wed Oct  5 2011 fcastelli@suse.com
- Include binary files produced at build time
- Fix license
- Do not mark the package as a noarch.
* Fri Sep 23 2011 fcastelli@suse.com
- Update to version 2.0.8
* Fri Sep 23 2011 fcastelli@suse.com
- Create initial package (version 2.0.4)
